; Programme chenillard sur le PORTB le sens est dpendant de RA0 et RA3
; La vitesse de dfilement dpend de RA1 et RA2
;
;Configuration du pic,des registres et appel des macros		
			config cp=non, pwrt=non, wdt=non, osc=xt
			include "registres.h"
			include "stdmac.h"

;Dfinition des constantes
CTtempo		equ 100	  
B0			equ 0		
B1			equ 1
B2			equ 2
B3			equ 3
SensBit0		equ 0
;Rservaton des variables	
			org	0x20,zreg ;zone registre libre (usage gnral)

NBtempo		rm	1
Vitesse		rm	1
Sens		rm	1

;----------------- le programme commence ici ------------------
			org	0,zprog		;Reset toujours  l'adresse 0

; Initialisation

Init		bsf	STATUS,RP0		;Passer en page 1
			clrf	TRISB			;PORTB en sortie
			bcf	STATUS,RP0		;Repasser en page 0
			clrf	PORTB			;Tout PORTB  0
			bsf	PORTB,0		;Bit 0 du PORTB  1
			movlf	CTtempo,Vitesse	;Initialisation de la Tempo
			

;------------la boucle chenillard avec le test des touches----------------
;Sens de dfilement
;Bascule SR mmorisant le sens de dfilement (bit 0 du registre Sens)
TestRA0		btfsc	PORTA,B0		;RA0 est il  0 (Bouton B0 appuy)?					
			goto	TestRA3		;Si oui alors le bit 0 du registre
			bsf	Sens,SensBit0	;Sens est mis  1 (Set)
			
TestRA3		btfsc	PORTA,B3		;RA3 est il  0 (Bouton B3 appuy)?
			goto	TestSens		;Si oui alors le bit 0 du registre
			bcf	Sens,SensBit0	;Sens est mis  0 (Reset)

;Test du Sens de dfilement
TestSens		btfsc	Sens,SensBit0	;Test du bit 0 du registre Sens 
			goto	Gauche 		;Si 1 alors dfilement  gauche			
			goto	Droite		;Si 0 alors dfilement  droite

Gauche		rlf	PORTB			;Rotation  gauche
			goto	RegleVitesse	

Droite		rrf	PORTB			;Rotation  droite

;Rglage de la vitesse
RegleVitesse	btfsc	PORTA,B1		;RA1 est il  0 (Bouton B1 appuy)?
			goto	TestMoins		;Si oui alors incrmente vitesse
							;Si non alors TestMoins
Plus		incf	Vitesse
			
TestMoins		btfsc	PORTA,B2		;RA1 est il  0 (Bouton B2 appuy)?
			goto	Temporisation	;Si oui alors dcrmente vitesse
							;Si non alors on temporise 
Moins		decf	Vitesse
			
;Tempo = Vitesse X Temporisation logicielle
			
Temporisation	movff	Vitesse,NBtempo	;Initialisation de Tempo
Attente		call	T1mS			;Tempo base de temps
			decfsz	NBtempo	;Dcrmente le NBtempo jusqu'a 0
			goto	Attente		;Si pas 0 alors Attente
			goto	TestRA0		;Si 0 on reboucle 
					
;Temporisation logicielle (fichier import)			

			include "Tempo4.inc"	;Fichier des Tempo

			end
