; Essai des maquettes

;Configuration du C
			config cp=non, pwrt=non, wdt=non, osc=xt

;Textes inclus
			include "registres.h"
			include "stdmac.h"

;Constantes
CT1			equ d'255'	;Cte  

ToucheRA0		equ 0		;Cte Touche RA0  
ToucheRA1		equ 1		;Cte Touche RA1 
ToucheRA2		equ 2		;Cte Touche RA2 
ToucheRA3		equ 3		;Cte Touche RA3 


;Variables en RAM
			org 0x10,zreg		;premire adresse libre
Var1		rm	1
Var2		rm	1
Var3		rm	1
Var4		rm	1

;________________________ Le programme commence ici _____________________________

Reset		org 0,zprog		;Adresse d'excution suite  MCLR/


;Initialisation
Init		bsf	STATUS,RP0	;Passer en page 1 (accs  TRIS et OPTION)
			clrf	TRISB		;PORTB en sortie (PORTA en entre)
			bcf	STATUS,RP0	;Repasser en page 0
			
			clrf	PORTB		;Raz du PORTB
			movlf	CT1,PORTB	;Envoi de CT1 sur PORTB

;----------------Programme principal-----------------------------------
Debut		call	DetecteTouches
			goto	Debut

;----------------Sous Programmes---------------------------------------
;Dtection des touches
DetecteTouches	btfss	PORTA,ToucheRA0	;Si Touche0 appuye Prg0
			call	Prg0		
						
			btfss	PORTA,ToucheRA1   ;Si Touche1 appuye Prg1
			call	Prg1			
			
			btfss	PORTA,ToucheRA2	;Si Touche2 appuye Prg2
			call	Prg2		
		
			btfss	PORTA,ToucheRA3	;Si Touche3 appuye Prg3
			call	Prg3
			
			return
			
;Sous programme0
Prg0		clrf	PORTB
			movlf	b'11000000',PORTB
			return

;Sous programme1
Prg1		clrf	PORTB
			movlf	b'00110000',PORTB
			return

;Sous programme2
Prg2		clrf	PORTB
			movlf	b'00001100',PORTB
			return

;Sous programme3
Prg3		clrf	PORTB
			movlf	b'00000011',PORTB
			return

;Fin du programme			
			end

