;------------Sous programme d'criture d'une donne en EEPROM-------------
;L'adresse d'criture doit tre dans EEADR
;La donne doit tre dans EEDATA

EcrireEE
		bsf 	STATUS,RP0 		;On passe en page 1
		clrf	EECON1 		;Raz d'ventuelles erreurs
		bsf	EECON1,WREN 	;On autorise l'ecriture
		movlw H'55' 
		movwf EECON2 		;Scurite de microchip pour 
		movlw H'AA' 		;viter les critures intempestives.
		movwf EECON2 
		bsf	EECON1,EWR 		;On crit pour de bon
Fin_ecriture
		btfsc EECON1,EWR  
		goto	Fin_ecriture 	;On attend la fin de l'criture 1ms,
		bcf	STATUS,RP0 		;On repasse en page 0
		clrf	EECON1 		;On ferme tout avant de partir
		return

