;
; pic16f84
;
; definitions pour registres
;

; Page 0
IND0		equ	00h
TMR0		equ	01h
RTCC		equ	TMR0
PCL		equ	02h
STATUS		equ	03h
FSR		equ	04h
PORTA		equ	05h
PORTB		equ	06h
EEDATA		equ	08h
EEADR		equ	09h
PCLATH		equ	0ah
INTCON		equ	0bh

; Page 1

OPTIO		equ	01h
TRISA		equ	05h
TRISB		equ	06h
EECON1		equ	08h
EECON2		equ	09h

;
; STATUS bits
;
IRP		equ	07h
RP1		equ	06h
RP0		equ	05h
T0			equ	04h
PD			equ	03h
Z			equ	02h
DC			equ	01h
C			equ	00h

;
; INTCON bits
;
GIE		equ	7
EEIE		equ	6
T0IE		equ	5
INTE		equ	4
RBIE		equ	3
T0IF		equ	2
INTF		equ	1
RBIF		equ	0

;
; OPTION bits
;
RBPU		equ	7
INTEDG		equ	6
RTS		equ	5
RTE		equ	4
PSA		equ	3
PS2		equ	2
PS1		equ	1
PS0		equ	0

;
; EECON1 bits
;
EEIF		equ	4
WRERR		equ	3
WREN		equ	2
EWR		equ	1
ERD		equ	0

;
; 'direction' flags
;
W			equ	0
F			equ	1

;
; Broches des ports
;

RA0		equ	1
RA1		equ	2
RA2		equ	4
RA3		equ	8
RA4		equ	16

RB0		equ	1
RB1		equ	2
RB2		equ	4
RB3		equ	8
RB4		equ	16
RB5		equ	32
RB6		equ	64
RB7		equ	128


;
